> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Item Memory Threads

<Warning>The API Reference is under active development. Request and response schemas may change before a stable release.</Warning>


## OpenAPI

````yaml /openapi.json get /admin/v1/items/{itemId}/memory-threads
openapi: 3.1.0
info:
  title: Memind Server API
  description: HTTP API for Memind memory ingestion, retrieval, and administration.
  version: v1
servers: []
security: []
tags:
  - name: memory
    description: Runtime memory ingestion, retrieval, and health endpoints.
    x-group: memory
  - name: admin
    description: Administrative endpoints for memory operations.
    x-group: admin
paths:
  /admin/v1/items/{itemId}/memory-threads:
    get:
      tags:
        - admin
      summary: List Item Memory Threads
      operationId: listItemMemoryThreads
      parameters:
        - name: itemId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: userId
          in: query
          required: true
          schema:
            type: string
        - name: agentId
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/SuccessResultListAdminItemMemoryThreadView
components:
  schemas:
    SuccessResultListAdminItemMemoryThreadView:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AdminItemMemoryThreadView'
    AdminItemMemoryThreadView:
      type: object
      properties:
        userId:
          type: string
        agentId:
          type: string
        memoryId:
          type: string
        threadKey:
          type: string
        threadType:
          type: string
        anchorKind:
          type: string
        anchorKey:
          type: string
        displayLabel:
          type: string
        lifecycleStatus:
          type: string
        objectState:
          type: string
        headline:
          type: string
        itemId:
          type: integer
          format: int64
        role:
          type: string
        primary:
          type: boolean
        relevanceWeight:
          type: number
          format: double
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time

````